Package: org.apache.groovy.groovysh.commands

## [Groovy] Class RecordCommand

- org.apache.groovy.groovysh.commands.RecordCommand

-     class RecordCommand
      extends ComplexCommandSupport

  The 'record' command.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexCommandSupport` | `defaultFunction, functions`
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `do_start`
    `Object` | `do_status`
    `Object` | `do_stop`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class ComplexCommandSupport` | `do_all`
    `class CommandSupport` | `aliases, hidden, name, shortcut`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RecordCommand(Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isRecording()`
    `` | `Object` | `recordError(Throwable cause)`
    `` | `Object` | `recordInput(String line)`
    `` | `Object` | `recordResult(Object result)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexCommandSupport` | `createCompleters, execute, executeFunction, loadFunction`
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Property Detail

    - #### Object do_start

    - #### Object do_status

    - #### Object do_stop

  - ### Constructor Detail

    - #### RecordCommand(Groovysh shell)

  - ### Method Detail

    - #### boolean isRecording()

    - #### Object recordError(Throwable cause)

    - #### Object recordInput(String line)

    - #### Object recordResult(Object result)